=== debian/changelog ===
ros-indigo-rtt-ros (2.8.6-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-rtt-ros (2.8.5-0trusty) trusty; urgency=high

  * Merge pull request #85 <https://github.com/orocos/rtt_ros_integration/issues/85> from meyerj/ros-primitives-transport-indigo-devel
    Added a ROS transport plugin for primitive types (indigo-devel)
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-rtt-ros (2.8.4-0trusty) trusty; urgency=high

  * rtt_ros: fixed comment in rtt_ros/scripts/deployer-corba
  * Merge pull request #40 <https://github.com/orocos/rtt_ros_integration/issues/40> from ahoarau/corba-deployer
    add Corba deployer scripts
  * rtt_ros: fixed rttlua.launch for the SCREEN:=false case (fix #72 <https://github.com/orocos/rtt_ros_integration/issues/72>)
  * Contributors: Johannes Meyer, Antoine Hoarau

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-indigo-rtt-ros (2.8.3-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-indigo-rtt-ros (2.8.2-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

ros-indigo-rtt-ros (2.8.1-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sun, 15 Mar 2015 23:00:00 -0000

ros-indigo-rtt-ros (2.7.2-0trusty) trusty; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 20 Jul 2015 22:00:00 -0000
